Using the keyword endpoint

Here, categories for events are listed. Events in each category can be found at the event endpoint using the query parameter keyword. The common keywords used in all events originate from the general Finnish ontology (yso), hence the format yso:p4354. Default ordering is decreasing order by the number of events found.

The most common event categories are listed in the two keyword sets helsinki:topics and helsinki:audiences, which list the YSO keywords that are present in most events to specify event main topic and audience.

Keyword text

To find keywords that contain a specific string, use the query parameter text.

Example:

keyword/?text=lapset

See the result

Free text

While the previous search is looking for the keywords containg exact matches of the search string, free_text retrieves keywords on the basis of similarity. Results are sorted by similarity.

Example:

keyword/?free_text=lapppset

See the result

Keyword source

Will restrict keywords to a specific data source.

Example:

keyword/?data_source=yso

See the result

Show only keywords with the upcoming events

To show only the keywords which are used in the upcoming events supply the has_upcoming_events query parameter.

For example:

keyword/?has_upcoming_events=True

See the result

Showing all keywords

By default, only those keywords which have listed events are displayed. You may display keywords with zero n_events with the query parameter show_all_keywords.

For example:

keyword/?show_all_keywords=True

See the result

Showing deprecated keywords

By default, deprecated keywords are not displayed. You may also display deprecated keywords with the query parameter show_deprecated.

For example:

keyword/?show_deprecated=True

See the result

Ordering

Default ordering is decreasing order by the number of events found. You may also order results by name.

For example:

keyword/?sort=name

See the result

GET /v1/keyword/?format=api&page=13
HTTP 200 OK
Allow: GET, POST, HEAD, OPTIONS
Content-Type: application/json ;utf-8
Vary: Accept

{
    "meta": {
        "count": 595,
        "next": "https://linkedevents.api.test.hel.ninja/v1/keyword/?format=api&page=14",
        "previous": "https://linkedevents.api.test.hel.ninja/v1/keyword/?format=api&page=12"
    },
    "data": [
        {
            "id": "yso:p19906",
            "has_user_editable_resources": false,
            "alt_labels": [
                "alistaminen",
                "kuvande",
                "kuvning",
                "underkuvande"
            ],
            "created_time": "2023-08-16T05:15:26.265326Z",
            "last_modified_time": "2023-08-16T05:15:26.265343Z",
            "aggregate": false,
            "deprecated": false,
            "has_upcoming_events": true,
            "n_events": 5,
            "image": null,
            "data_source": "yso",
            "publisher": "hy:kansalliskirjasto",
            "replaced_by": null,
            "name": {
                "fi": "alistus (vallankäyttö)",
                "sv": "underkuvning",
                "en": "submission"
            },
            "@id": "https://linkedevents.api.test.hel.ninja/v1/keyword/yso:p19906/?format=api",
            "@context": "http://schema.org",
            "@type": "Keyword"
        },
        {
            "id": "yso:p16526",
            "has_user_editable_resources": false,
            "alt_labels": [
                "animering"
            ],
            "created_time": "2023-08-16T05:16:44.440143Z",
            "last_modified_time": "2023-08-16T05:16:44.440160Z",
            "aggregate": false,
            "deprecated": false,
            "has_upcoming_events": true,
            "n_events": 5,
            "image": null,
            "data_source": "yso",
            "publisher": "hy:kansalliskirjasto",
            "replaced_by": null,
            "name": {
                "fi": "animaatio",
                "sv": "animation",
                "en": "animation"
            },
            "@id": "https://linkedevents.api.test.hel.ninja/v1/keyword/yso:p16526/?format=api",
            "@context": "http://schema.org",
            "@type": "Keyword"
        },
        {
            "id": "yso:p19376",
            "has_user_editable_resources": false,
            "alt_labels": [
                "drag showt"
            ],
            "created_time": "2023-08-16T05:13:12.220762Z",
            "last_modified_time": "2025-03-11T04:41:34.697726Z",
            "aggregate": false,
            "deprecated": false,
            "has_upcoming_events": true,
            "n_events": 5,
            "image": null,
            "data_source": "yso",
            "publisher": "hy:kansalliskirjasto",
            "replaced_by": null,
            "name": {
                "fi": "drag show't",
                "sv": "dragshower",
                "en": "drag shows"
            },
            "@id": "https://linkedevents.api.test.hel.ninja/v1/keyword/yso:p19376/?format=api",
            "@context": "http://schema.org",
            "@type": "Keyword"
        },
        {
            "id": "yso:p1304",
            "has_user_editable_resources": false,
            "alt_labels": [],
            "created_time": "2023-08-16T05:19:31.083313Z",
            "last_modified_time": "2023-08-16T05:19:31.083337Z",
            "aggregate": false,
            "deprecated": false,
            "has_upcoming_events": true,
            "n_events": 5,
            "image": null,
            "data_source": "yso",
            "publisher": "hy:kansalliskirjasto",
            "replaced_by": null,
            "name": {
                "fi": "festivaalit",
                "sv": "festivaler",
                "en": "festivals"
            },
            "@id": "https://linkedevents.api.test.hel.ninja/v1/keyword/yso:p1304/?format=api",
            "@context": "http://schema.org",
            "@type": "Keyword"
        },
        {
            "id": "yso:p1420",
            "has_user_editable_resources": false,
            "alt_labels": [
                "keraamiset tuotteet",
                "savituotteet",
                "keramiska produkter",
                "lergods"
            ],
            "created_time": "2023-08-16T05:19:27.155829Z",
            "last_modified_time": "2023-08-16T05:19:27.155857Z",
            "aggregate": false,
            "deprecated": false,
            "has_upcoming_events": true,
            "n_events": 5,
            "image": null,
            "data_source": "yso",
            "publisher": "hy:kansalliskirjasto",
            "replaced_by": null,
            "name": {
                "fi": "keramiikka",
                "sv": "keramik",
                "en": "ceramics"
            },
            "@id": "https://linkedevents.api.test.hel.ninja/v1/keyword/yso:p1420/?format=api",
            "@context": "http://schema.org",
            "@type": "Keyword"
        },
        {
            "id": "yso:p4732",
            "has_user_editable_resources": false,
            "alt_labels": [],
            "created_time": "2023-08-16T05:19:22.800388Z",
            "last_modified_time": "2023-08-16T05:19:22.800407Z",
            "aggregate": false,
            "deprecated": false,
            "has_upcoming_events": true,
            "n_events": 5,
            "image": null,
            "data_source": "yso",
            "publisher": "hy:kansalliskirjasto",
            "replaced_by": null,
            "name": {
                "fi": "muoti",
                "sv": "mode",
                "en": "fashion"
            },
            "@id": "https://linkedevents.api.test.hel.ninja/v1/keyword/yso:p4732/?format=api",
            "@context": "http://schema.org",
            "@type": "Keyword"
        },
        {
            "id": "yso:p15269",
            "has_user_editable_resources": false,
            "alt_labels": [],
            "created_time": "2023-08-16T05:19:31.169664Z",
            "last_modified_time": "2023-08-16T05:19:31.169682Z",
            "aggregate": false,
            "deprecated": false,
            "has_upcoming_events": true,
            "n_events": 5,
            "image": null,
            "data_source": "yso",
            "publisher": "hy:kansalliskirjasto",
            "replaced_by": null,
            "name": {
                "fi": "myynti",
                "sv": "försäljning",
                "en": "sale"
            },
            "@id": "https://linkedevents.api.test.hel.ninja/v1/keyword/yso:p15269/?format=api",
            "@context": "http://schema.org",
            "@type": "Keyword"
        },
        {
            "id": "yso:p4098",
            "has_user_editable_resources": false,
            "alt_labels": [
                "performancekonst",
                "performanssit",
                "performanssitaide"
            ],
            "created_time": "2023-08-16T05:17:10.728772Z",
            "last_modified_time": "2023-08-16T05:17:10.728790Z",
            "aggregate": false,
            "deprecated": false,
            "has_upcoming_events": true,
            "n_events": 5,
            "image": null,
            "data_source": "yso",
            "publisher": "hy:kansalliskirjasto",
            "replaced_by": null,
            "name": {
                "fi": "performanssi",
                "sv": "performance",
                "en": "performance (art forms)"
            },
            "@id": "https://linkedevents.api.test.hel.ninja/v1/keyword/yso:p4098/?format=api",
            "@context": "http://schema.org",
            "@type": "Keyword"
        },
        {
            "id": "yso:p40235",
            "has_user_editable_resources": false,
            "alt_labels": [
                "Pride-kulkueet",
                "pride-evenemang",
                "pridefestivaler",
                "pridefiranden",
                "prideparader",
                "pridetåg",
                "gay pride parades",
                "pride marches",
                "pride parades"
            ],
            "created_time": "2024-01-28T04:41:14.325332Z",
            "last_modified_time": "2024-03-20T04:40:50.573607Z",
            "aggregate": false,
            "deprecated": false,
            "has_upcoming_events": true,
            "n_events": 5,
            "image": null,
            "data_source": "yso",
            "publisher": "hy:kansalliskirjasto",
            "replaced_by": null,
            "name": {
                "fi": "Pride-tapahtumat",
                "sv": "prideevenemang",
                "en": "Pride events"
            },
            "@id": "https://linkedevents.api.test.hel.ninja/v1/keyword/yso:p40235/?format=api",
            "@context": "http://schema.org",
            "@type": "Keyword"
        },
        {
            "id": "yso:p7765",
            "has_user_editable_resources": false,
            "alt_labels": [
                "seminaarit (kokoukset)",
                "seminarier (möten)"
            ],
            "created_time": "2023-08-16T05:18:02.060816Z",
            "last_modified_time": "2023-08-16T05:18:02.060835Z",
            "aggregate": false,
            "deprecated": false,
            "has_upcoming_events": true,
            "n_events": 5,
            "image": null,
            "data_source": "yso",
            "publisher": "hy:kansalliskirjasto",
            "replaced_by": null,
            "name": {
                "fi": "seminaarit",
                "sv": "seminarier",
                "en": "seminars"
            },
            "@id": "https://linkedevents.api.test.hel.ninja/v1/keyword/yso:p7765/?format=api",
            "@context": "http://schema.org",
            "@type": "Keyword"
        },
        {
            "id": "yso:p7637",
            "has_user_editable_resources": false,
            "alt_labels": [],
            "created_time": "2023-08-16T05:16:21.347753Z",
            "last_modified_time": "2023-08-16T05:16:21.347777Z",
            "aggregate": false,
            "deprecated": false,
            "has_upcoming_events": true,
            "n_events": 5,
            "image": null,
            "data_source": "yso",
            "publisher": "hy:kansalliskirjasto",
            "replaced_by": null,
            "name": {
                "fi": "suositukset",
                "sv": "rekommendationer",
                "en": "recommendations"
            },
            "@id": "https://linkedevents.api.test.hel.ninja/v1/keyword/yso:p7637/?format=api",
            "@context": "http://schema.org",
            "@type": "Keyword"
        },
        {
            "id": "yso:p5457",
            "has_user_editable_resources": false,
            "alt_labels": [],
            "created_time": "2023-08-16T05:19:28.344840Z",
            "last_modified_time": "2023-08-16T05:19:28.344858Z",
            "aggregate": false,
            "deprecated": false,
            "has_upcoming_events": true,
            "n_events": 5,
            "image": null,
            "data_source": "yso",
            "publisher": "hy:kansalliskirjasto",
            "replaced_by": null,
            "name": {
                "fi": "taidekasvatus",
                "sv": "konstfostran",
                "en": "art education"
            },
            "@id": "https://linkedevents.api.test.hel.ninja/v1/keyword/yso:p5457/?format=api",
            "@context": "http://schema.org",
            "@type": "Keyword"
        },
        {
            "id": "yso:p6841",
            "has_user_editable_resources": false,
            "alt_labels": [],
            "created_time": "2023-08-16T05:17:18.695769Z",
            "last_modified_time": "2023-08-16T05:17:18.695806Z",
            "aggregate": false,
            "deprecated": false,
            "has_upcoming_events": true,
            "n_events": 5,
            "image": null,
            "data_source": "yso",
            "publisher": "hy:kansalliskirjasto",
            "replaced_by": null,
            "name": {
                "fi": "tekstiilitaide",
                "sv": "textilkonst",
                "en": "textile art"
            },
            "@id": "https://linkedevents.api.test.hel.ninja/v1/keyword/yso:p6841/?format=api",
            "@context": "http://schema.org",
            "@type": "Keyword"
        },
        {
            "id": "yso:p10649",
            "has_user_editable_resources": false,
            "alt_labels": [
                "art photography",
                "camera art",
                "fine-art photography",
                "kamerataide",
                "taidevalokuvaus",
                "fotograferingskonst",
                "fotografikonst",
                "fotografisk konst",
                "kamerakonst",
                "konstfotografering"
            ],
            "created_time": "2023-08-16T05:14:57.957743Z",
            "last_modified_time": "2023-08-16T05:14:57.957761Z",
            "aggregate": false,
            "deprecated": false,
            "has_upcoming_events": true,
            "n_events": 5,
            "image": null,
            "data_source": "yso",
            "publisher": "hy:kansalliskirjasto",
            "replaced_by": null,
            "name": {
                "fi": "valokuvataide",
                "sv": "fotokonst",
                "en": "photographic art"
            },
            "@id": "https://linkedevents.api.test.hel.ninja/v1/keyword/yso:p10649/?format=api",
            "@context": "http://schema.org",
            "@type": "Keyword"
        },
        {
            "id": "yso:p18749",
            "has_user_editable_resources": false,
            "alt_labels": [
                "valoveistokset",
                "ljusskulpturer"
            ],
            "created_time": "2023-08-16T05:06:04.115382Z",
            "last_modified_time": "2023-08-16T05:06:04.115401Z",
            "aggregate": false,
            "deprecated": false,
            "has_upcoming_events": true,
            "n_events": 5,
            "image": null,
            "data_source": "yso",
            "publisher": "hy:kansalliskirjasto",
            "replaced_by": null,
            "name": {
                "fi": "valotaide",
                "sv": "ljuskonst",
                "en": "light art"
            },
            "@id": "https://linkedevents.api.test.hel.ninja/v1/keyword/yso:p18749/?format=api",
            "@context": "http://schema.org",
            "@type": "Keyword"
        },
        {
            "id": "yso:p11955",
            "has_user_editable_resources": false,
            "alt_labels": [],
            "created_time": "2023-08-16T05:08:51.023636Z",
            "last_modified_time": "2023-08-16T05:08:51.023653Z",
            "aggregate": false,
            "deprecated": false,
            "has_upcoming_events": true,
            "n_events": 5,
            "image": null,
            "data_source": "yso",
            "publisher": "hy:kansalliskirjasto",
            "replaced_by": null,
            "name": {
                "fi": "videotaide",
                "sv": "videokonst",
                "en": "video art"
            },
            "@id": "https://linkedevents.api.test.hel.ninja/v1/keyword/yso:p11955/?format=api",
            "@context": "http://schema.org",
            "@type": "Keyword"
        },
        {
            "id": "yso:p5522",
            "has_user_editable_resources": false,
            "alt_labels": [
                "social gemenskap"
            ],
            "created_time": "2023-08-16T05:14:33.167178Z",
            "last_modified_time": "2023-08-16T05:14:33.167195Z",
            "aggregate": false,
            "deprecated": false,
            "has_upcoming_events": true,
            "n_events": 5,
            "image": null,
            "data_source": "yso",
            "publisher": "hy:kansalliskirjasto",
            "replaced_by": null,
            "name": {
                "fi": "yhteisöllisyys",
                "sv": "sammanhållning",
                "en": "communality"
            },
            "@id": "https://linkedevents.api.test.hel.ninja/v1/keyword/yso:p5522/?format=api",
            "@context": "http://schema.org",
            "@type": "Keyword"
        },
        {
            "id": "yso:p15737",
            "has_user_editable_resources": false,
            "alt_labels": [
                "ääni-installaatiot",
                "ääniveistokset",
                "ljudinstallationer",
                "ljudskulpturer"
            ],
            "created_time": "2023-08-16T05:16:42.990679Z",
            "last_modified_time": "2023-08-16T05:16:42.990696Z",
            "aggregate": false,
            "deprecated": false,
            "has_upcoming_events": true,
            "n_events": 5,
            "image": null,
            "data_source": "yso",
            "publisher": "hy:kansalliskirjasto",
            "replaced_by": null,
            "name": {
                "fi": "äänitaide",
                "sv": "ljudkonst",
                "en": "sound art"
            },
            "@id": "https://linkedevents.api.test.hel.ninja/v1/keyword/yso:p15737/?format=api",
            "@context": "http://schema.org",
            "@type": "Keyword"
        },
        {
            "id": "yso:p6940",
            "has_user_editable_resources": false,
            "alt_labels": [],
            "created_time": "2023-08-16T05:14:40.574945Z",
            "last_modified_time": "2023-08-16T05:14:40.574968Z",
            "aggregate": false,
            "deprecated": false,
            "has_upcoming_events": false,
            "n_events": 3,
            "image": null,
            "data_source": "yso",
            "publisher": "hy:kansalliskirjasto",
            "replaced_by": null,
            "name": {
                "fi": "kesänvietto",
                "sv": "sommarfirande",
                "en": "spending summer time"
            },
            "@id": "https://linkedevents.api.test.hel.ninja/v1/keyword/yso:p6940/?format=api",
            "@context": "http://schema.org",
            "@type": "Keyword"
        },
        {
            "id": "yso:p28143",
            "has_user_editable_resources": false,
            "alt_labels": [
                "raku-keramiikka",
                "raku-tekniikka"
            ],
            "created_time": "2023-08-16T05:07:27.646623Z",
            "last_modified_time": "2023-08-16T05:07:27.646641Z",
            "aggregate": false,
            "deprecated": false,
            "has_upcoming_events": false,
            "n_events": 3,
            "image": null,
            "data_source": "yso",
            "publisher": "hy:kansalliskirjasto",
            "replaced_by": null,
            "name": {
                "fi": "raku",
                "en": "Raku pottery"
            },
            "@id": "https://linkedevents.api.test.hel.ninja/v1/keyword/yso:p28143/?format=api",
            "@context": "http://schema.org",
            "@type": "Keyword"
        }
    ]
}